
import 'dart:ui';

import 'package:fis_lib_media_rt/base/capturer.dart';
import 'package:vid/us/vid_us_image_data.dart';

class NTCapturer extends BaseCapturer {
  NTCapturer({required super.channel});

  @override
  Future<VidUsImageData> captureFrame() {
    // TODO: implement captureFrame
    throw UnimplementedError();
  }

  @override
  void dispose() {
    // TODO: implement dispose
  }

  @override
  Future<void> initCapturer({
    int? width,
    int? height,
    bool isNeedCrop = false,
    Rect? cropArea,
  }) {
    // TODO: implement initCapturer
    throw UnimplementedError();
  }

  @override
  void startRecord() {
    // TODO: implement startRecord
  }

  @override
  Future<VidUsImageData> stopRecord() {
    // TODO: implement stopRecord
    throw UnimplementedError();
  }
}
